Package org.eclipse.net4j.util.om

## Class OSGiApplication

- java.lang.Object
- - org.eclipse.net4j.util.om.OSGiApplication

- All Implemented Interfaces:
    `IApplication`

      public class OSGiApplication
      extends java.lang.Object
      implements IApplication

  A default implementation of an OSGi `application`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.equinox.app.IApplication

      `EXIT_OK, EXIT_RELAUNCH, EXIT_RESTART`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OSGiApplication​(java.lang.String applicationID)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doStart()` |
    `protected void` | `doStop()` |
    `IApplicationContext` | `getApplicationContext()` |
    `java.lang.String` | `getApplicationID()` |
    `boolean` | `isRunning()` |
    `java.lang.Object` | `start​(IApplicationContext context)` |
    `void` | `stop()` |
    `static void` | `traceStart​(java.lang.String applicationID)` |
    `static void` | `traceStop​(java.lang.String applicationID)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OSGiApplication

          public OSGiApplication​(java.lang.String applicationID)

  - ### Method Detail

    - #### getApplicationID

          public java.lang.String getApplicationID()

    - #### getApplicationContext

          public IApplicationContext getApplicationContext()

    - #### isRunning

          public boolean isRunning()

    - #### start

          public final java.lang.Object start​(IApplicationContext context)
                                       throws java.lang.Exception

      Specified by:
        `start` in interface `IApplication`
      Throws:
        `java.lang.Exception`

    - #### stop

          public final void stop()

      Specified by:
        `stop` in interface `IApplication`

    - #### doStart

          protected void doStart()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### doStop

          protected void doStop()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### traceStart

          public static void traceStart​(java.lang.String applicationID)

    - #### traceStop

          public static void traceStop​(java.lang.String applicationID)